Subject: [TR] Stabil

From: Bob <[email-masked]>
Date: Thu, 5 Nov 2020 08:28:13 -0500

Thanks to alll who responded. I think I am going to try the Startron if 
I can get it at my FLAPS. If not there is always amazon.

It appears to have good reviews. The maker also says you should add some 
on every fill up. I don't think I need that since I use only alcohol 
free gas for my Triumphs and small engines.

By the way, the 11th is Veteran's Day. Too all veterans, have a 
wonderful day. Go have a beer at your local Legion or VFW, I will.

Bob

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive